package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicTrafficServiceType {
    public static final String CAMERA = "摄像头";
    public static final String POLICE = "电子警察";

    private static DicTrafficServiceType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicTrafficServiceType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(CAMERA, CAMERA);
        dicMap.put(POLICE, POLICE);
    }

    public static DicTrafficServiceType getInstacne(){
        if (instance == null)
        {
            instance = new DicTrafficServiceType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
